<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout_baru}">
<head>
    <meta charset="UTF-8">
    <title>Keahlian</title>
</head>
<body>
<main layout:fragment="main" class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h4 class="h4">2. Profil Dosen Berdasarkan Latar Belakang Keahlian</h4>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <div class="row">
                        <div class="col-md-6">
                            <h5><b th:text="${namaProdi.namaProdi + ' (Tahun Akreditasi : ' + tahun + ')'}"></b></h5>
                        </div>
                        <div class="col-md-6" style="text-align: right;">
                            <a th:href="@{/sdm/keahlian/form(prodi = ${namaProdi.id}, tahun = ${tahun})}" class="btn btn-primary btn-sm">Tambah Data</a>
                            <a th:href="@{/keahlian/excel(prodi = ${namaProdi.id}, tahun = ${tahun})}" class="btn btn-dark btn-sm"><i class="fa fa-download"></i> Download Excel</a>
                            <a th:href="@{/akreditasi(prodi = ${namaProdi.id}, tahun = ${tahun})} " class="btn btn-warning btn-sm"><i class="fa fa-arrow-circle-left"></i> Kembali</a>
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12" th:if="${success != null}">
                            <div class="alert alert-info alert-dismissible fade show" role="alert">
                                <strong>Data berhasil di simpan.</strong>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        </div>
                        <div class="col-md-12" th:if="${delete != null}">
                            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                                <strong>Data berhasil di hapus.</strong>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th rowspan="2">#</th>
                                <th rowspan="2">Nama Dosen</th>
                                <th colspan="2" style="text-align: center;">Pendidikan Pasca Sarjana</th>
                                <th rowspan="2">Bidang Keahlian</th>
                                <th rowspan="2">Sertifikat Pendidik Profesional</th>
                                <th rowspan="2">Sertifikat  Kompetensi/ Profesi/Industri</th>
                                <th rowspan="2"></th>
                            </tr>
                            <tr>
                                <th>Magister/ Magister Terapan/ Spesialis</th>
                                <th>Doktor/ Doktor Terapan/ Spesialis</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="data, row:${list}">
                                <td th:text="${(row.index + 1)}"></td>
                                <td th:text="${data.dosen.nama}"></td>
                                <td>
                                    <a th:href="@{/view-doc/ijazah-magister/{doc}/(doc = ${data.id})}" th:text="${data.ijazahMagister}" target="_blank"></a>
                                </td>
                                <td>
                                    <a th:href="@{/view-doc/ijazah-doctor/{doc}/(doc = ${data.id})}" th:text="${data.ijazahDoctor}" target="_blank"></a>
                                </td>
                                <td th:text="${data.bidangKeahlian}"></td>
                                <td>
                                    <a th:href="@{/view-doc/sertifikat-pendidik/{doc}/(doc = ${data.id})}" th:text="${data.sertifikatPendidik}" target="_blank"></a>
                                </td>
                                <td>
                                    <a th:href="@{/view-doc/sertifikat-keahlian/{doc}/(doc = ${data.id})}" th:text="${data.sertifikatKompetensi}" target="_blank"></a>
                                </td>
                                <td>
                                    <a th:href="@{/keahlian/edit(keahlian = ${data.id}, prodi = ${namaProdi.id}, tahun = ${tahun})}" class="btn btn-primary btn-sm"><i class="fa fa-edit"></i></a>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
</body>
</html>